#
# Copyright (c) 2019 Peter Bigot Consulting, LLC
#
# SPDX-License-Identifier: Apache-2.0
#

# Optionally force the file system to be recreated
#CONFIG_APP_WIPE_STORAGE=y

# fs_dirent structures are big.
CONFIG_MAIN_STACK_SIZE=2048

# Let __ASSERT do its job
CONFIG_DEBUG=y

CONFIG_LOG=y

CONFIG_FLASH=y
CONFIG_FLASH_MAP=y
CONFIG_FLASH_PAGE_LAYOUT=y

CONFIG_FILE_SYSTEM=y
CONFIG_FILE_SYSTEM_LITTLEFS=y

# Need this when storage is on flash
CONFIG_MPU_ALLOW_FLASH_WRITE=y

CONFIG_NRF_MODEM_LIB=y
CONFIG_NRF_MODEM_LIB_SYS_INIT=n

CONFIG_HEAP_MEM_POOL_SIZE=1024
CONFIG_AT_CMD=y

CONFIG_NRF_MODEM_LOG=y
CONFIG_LOG_BUFFER_SIZE=32768
CONFIG_LOG_PROCESS_TRIGGER_THRESHOLD=5

CONFIG_PM_PARTITION_SIZE_LITTLEFS=0xB000

# CONFIG_BUILD_WITH_TFM=y
